site_name: tRPC-Agent-Go
site_url: https://trpc-group.github.io/trpc-agent-go/
repo_url: https://github.com/trpc-group/trpc-agent-go
repo_name: trpc-group/trpc-agent-go
edit_uri: edit/main/docs/mkdocs/
docs_dir: mkdocs/

nav:
  - Overview: index.md
  - Components:
      - Agent:
          - Agent: agent.md
          - Multi Agent: multiagent.md
          - Team: team.md
          - Graph Agent: graph.md
          - Custom Agent: custom-agent.md
          - Dify Agent: dify.md
      - Runner: runner.md
      - Model: model.md
      - Callbacks: callbacks.md
      - Plugins: plugin.md
      - Memory: memory.md
      - Artifact: artifact.md
      - Skill: skill.md
      - Tool: tool.md
      - Session: session.md
      - Knowledge:
          - Overview: knowledge/index.md
          - Embedder: knowledge/embedder.md
          - Reranker: knowledge/reranker.md
          - Source: knowledge/source.md
          - Filter: knowledge/filter.md
          - Management: knowledge/management.md
          - OCR: knowledge/ocr.md
          - VectorStore:
              - Overview: knowledge/vectorstore/index.md
              - Memory: knowledge/vectorstore/inmemory.md
              - PGVector: knowledge/vectorstore/pgvector.md
              - TcVector: knowledge/vectorstore/tcvector.md
              - Elasticsearch: knowledge/vectorstore/elasticsearch.md
              - Qdrant: knowledge/vectorstore/qdrant.md
              - Milvus: knowledge/vectorstore/milvus.md
          - Troubleshooting: knowledge/troubleshooting.md
      - Planner: planner.md
      - Event: event.md
      - Evaluation: evaluation.md
  - Server:
    - AG-UI: agui.md
    - A2A: a2a.md
  - Observability: observability.md
  - Ecosystem: ecosystem.md

plugins:
  - search
  - i18n:
      docs_structure: folder
      reconfigure_material: true
      languages:
        - locale: en
          name: English
          build: true
          default: true
        - locale: zh
          name: 中文
          build: true
          nav:
            - 概览: index.md
            - 组件:
                - Agent:
                    - Agent: agent.md
                    - Multi Agent: multiagent.md
                    - Team: team.md
                    - Graph Agent: graph.md
                    - 自定义 Agent: custom-agent.md
                    - Dify Agent: dify.md
                - Runner: runner.md
                - Model: model.md
                - Callbacks: callbacks.md
                - 插件: plugin.md
                - Memory: memory.md
                - Artifact: artifact.md
                - Skill: skill.md
                - Tool: tool.md
                - Session: session.md
                - Knowledge:
                    - 概述: knowledge/index.md
                    - Embedder: knowledge/embedder.md
                    - Reranker: knowledge/reranker.md
                    - 数据源: knowledge/source.md
                    - 过滤器: knowledge/filter.md
                    - 知识库管理: knowledge/management.md
                    - OCR: knowledge/ocr.md
                    - 向量存储:
                        - 概述: knowledge/vectorstore/index.md
                        - Memory: knowledge/vectorstore/inmemory.md
                        - PGVector: knowledge/vectorstore/pgvector.md
                        - TcVector: knowledge/vectorstore/tcvector.md
                        - Elasticsearch: knowledge/vectorstore/elasticsearch.md
                        - Qdrant: knowledge/vectorstore/qdrant.md
                        - Milvus: knowledge/vectorstore/milvus.md
                    - 故障排除: knowledge/troubleshooting.md
                - Planner: planner.md
                - Event: event.md
                - Evaluation: evaluation.md
            - 服务:
              - AG-UI: agui.md
              - A2A: a2a.md
            - 可观测: observability.md
            - 生态: ecosystem.md
  - git-revision-date-localized:
      enable_creation_date: true
      type: iso_datetime

theme:
  name: material
  features:
    - content.code.copy
    - navigation.footer
    - navigation.tabs
    - search.suggest
    - search.share
    - content.action.edit
    - content.action.view
  logo: assets/img/logo.png
  icon:
    repo: fontawesome/brands/github
  palette:
    - scheme: default
      toggle:
        icon: material/brightness-7
        name: Switch to dark mode
    - scheme: slate
      toggle:
        icon: material/brightness-4
        name: Switch to light mode

markdown_extensions:
  - pymdownx.arithmatex:
      generic: true
  - pymdownx.highlight:
      anchor_linenums: true
      linenums: true
      line_spans: __span
      pygments_lang_class: true
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
  - mdx_truly_sane_lists

extra_css:
  - assets/stylesheets/extra.css

extra_javascript:
  - assets/javascripts/mathjax.js
  - https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js

extra:
  analytics:
    provider: google
    feedback:
      title: Was this page helpful?
      ratings:
        - icon: material/emoticon-happy-outline
          name: This page was helpful
          data: 1
          note: >-
            Thanks for your feedback!
        - icon: material/emoticon-sad-outline
          name: This page could be improved
          data: 0
          note: >-
            Thanks for your feedback!<br>Please help us improve by
            opening an <a href="https://github.com/trpc-group/trpc-agent-go/issues/new" target="_blank" rel="noopener">issue</a>.
